# _PixelIterator Struct Reference

## Data Fields
unsigned long | id
char | name [MaxTextExtent]
ExceptionInfo * | exception
ViewInfo * | view
RectangleInfo | region
MagickBooleanType | active
long | y
PixelWand ** | pixel_wands
MagickBooleanType | debug
unsigned long | signature

## Field Documentation

unsigned long _PixelIterator::id

char _PixelIterator::name[MaxTextExtent]

ExceptionInfo* _PixelIterator::exception

ViewInfo* _PixelIterator::view

RectangleInfo _PixelIterator::region

MagickBooleanType _PixelIterator::active

long _PixelIterator::y

PixelWand** _PixelIterator::pixel_wands

MagickBooleanType _PixelIterator::debug

unsigned long _PixelIterator::signature

The documentation for this struct was generated from the following file:

- pixel-iterator.c